From: Matthew Garrett <mjg59@codon.org.uk>
Date: Thu, 24 Oct 2013 01:11:22 -0200
Subject: Fix mkfs not creating UUIDs for new filesystems.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Fix mkfs not creating UUIDs for new filesystems.

Thanks to Lars Noodén for reporting the bug at
 <https://bugs.launchpad.net/bugs/737002>.

This closes LP: #737002.
---
 include/missing.h | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/include/missing.h b/include/missing.h
index 0a859c4..f50e8fb 100644
--- a/include/missing.h
+++ b/include/missing.h
@@ -72,7 +72,7 @@
 #define NAME_MAX	255
 
 /* Byteswap stuff */
-#define NXSwapHostLongToBig(x)		cpu_to_be64(x)
+#define NXSwapHostLongToBig(x)		cpu_to_be32(x)
 #define NXSwapBigShortToHost(x) 	be16_to_cpu(x)
 #define OSSwapBigToHostInt16(x)		be16_to_cpu(x)
 #define NXSwapBigLongToHost(x)		be32_to_cpu(x)
@@ -88,6 +88,9 @@
 #ifndef be32_to_cpu
 #define be32_to_cpu(x) bswap_32(x)
 #endif
+#ifndef cpu_to_be32
+#define cpu_to_be32(x) bswap_32(x)
+#endif
 #ifndef be64_to_cpu
 #define be64_to_cpu(x) bswap_64(x)
 #endif
@@ -102,6 +105,9 @@
 #ifndef be32_to_cpu
 #define be32_to_cpu(x)	(x)
 #endif
+#ifndef cpu_to_be32
+#define cpu_to_be32(x)	(x)
+#endif
 #ifndef be64_to_cpu
 #define be64_to_cpu(x)	(x)
 #endif
